package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiParam;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;

// 必须添加 @XmlRootElement，指定 XML 根节点名称
//@XmlRootElement(name = "info")
public class MesAutoLineInterfaceModel {

    public MesAutoLineInterfaceModel() {

    }

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam(value = "工位代码")
    private String workCellCode;

    @ApiParam("零件条码")
    private String productSn;

    @ApiParam(value = "数量")
    private Double qty;

    @ApiParam("结果")
    private Integer result;

    private ArrayList<MesAutoLineInterfaceDetailModel> details = new ArrayList<>();


    @XmlElement(name = "AssemblyLine")
    public String getWorkCenterCode() {
        return workCenterCode;
    }

    public void setWorkCenterCode(String workCenterCode) {
        this.workCenterCode = workCenterCode;
    }

    @XmlElement(name = "Location")
    public String getWorkCellCode() {
        return workCellCode;
    }

    public void setWorkCellCode(String workCellCode) {
        this.workCellCode = workCellCode;
    }

    @XmlElement(name = "Barcode")
    public String getProductSn() {
        return productSn;
    }

    public void setProductSn(String productSn) {
        this.productSn = productSn;
    }

    @XmlElement(name = "Qty")
    public Double getQty() {
        return qty;
    }

    public void setQty(Double qty) {
        this.qty = qty;
    }

    @XmlElement(name = "Result")
    public Integer getResult() {
        return result;
    }

    public void setResult(Integer result) {
        this.result = result;
    }

    @XmlElementWrapper(name = "SubParams") // 包装集合的父节点
    @XmlElement(name = "SubParam") // 集合中每个元素的节点名称
    public ArrayList<MesAutoLineInterfaceDetailModel> getDetails() {
        return details;
    }

    public void setDetails(ArrayList<MesAutoLineInterfaceDetailModel> details) {
        this.details = details;
    }
}
